import { Page } from 'puppeteer';
export declare enum StorageProviderName {
    Cookie = "cookie",
    LocalStorage = "localStorage",
    SessionStorage = "sessionStorage",
    IndexedDB = "indexedDB"
}
export declare abstract class StorageProvider {
    abstract name: StorageProviderName;
    abstract get(page: Page): Promise<string>;
    abstract set(page: Page, data: string): Promise<void>;
}
