"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.SessionPlugin = void 0;
const puppeteer_extra_plugin_1 = require("puppeteer-extra-plugin");
const constants_1 = require("../constants/constants");
const injector_1 = require("./injector");
// TODO: use documentation.js to generate documentation in README.md
/**
 * Puppeteer Extra Session Plugin
 */
class SessionPlugin extends puppeteer_extra_plugin_1.PuppeteerExtraPlugin {
    /**
     * Constructor
     * Receives standard puppeteer-extra plugin config options.
     */
    constructor(opts = {}) {
        super(opts);
    }
    /**
     * Describe the identifier for plugin.
     */
    get name() {
        return constants_1.PLUGIN_NAME;
    }
    async onPageCreated(page) {
        (0, injector_1.inject)(page);
    }
}
exports.SessionPlugin = SessionPlugin;
/**
 * Export plugin factory as default export.
 */
exports.default = () => new SessionPlugin();
//# sourceMappingURL=plugin.js.map