"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.LocalStorageProvider = void 0;
const storage_provider_1 = require("../classes/storage-provider");
class LocalStorageProvider extends storage_provider_1.StorageProvider {
    get name() {
        return storage_provider_1.StorageProviderName.LocalStorage;
    }
    async get(page) {
        // STEALTH: use isolated worlds
        const localStorage = await page.evaluate(() => Object.assign({}, window.localStorage));
        return JSON.stringify(localStorage);
    }
    async set(page, data) {
        // STEALTH: use isolated worlds
        await page.evaluate((localStorage) => {
            for (const [key, val] of Object.entries(JSON.parse(localStorage))) {
                window.localStorage.setItem(key, val);
            }
        }, data);
    }
}
exports.LocalStorageProvider = LocalStorageProvider;
//# sourceMappingURL=localStorage.js.map